Oval Definition:oval:org.mitre.oval:def:12011
Revision Date:2015-08-10Version:18
Title:Movie Maker Memory Corruption Vulnerability
Description:Buffer overflow in Microsoft Windows Movie Maker (WMM) 2.1, 2.6, and 6.0 allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption) via a crafted project file, aka "Movie Maker Memory Corruption Vulnerability."
Family:windowsClass:vulnerability
Status:ACCEPTEDReference(s):CVE-2010-2564
Platform(s):Microsoft Windows Vista
Microsoft Windows XP
Product(s):Movie Maker 2.1
Movie Maker 2.6
Movie Maker 6.0
Definition Synopsis
  • Vulnerable Movie Maker 2.1 on Microsoft Windows XP (x86)
  • Microsoft Windows XP (32-bit) is installed
  • AND Moviemk.exe version is less than 2.1.4028.0
  • AND Windows Movie Maker 2.1 is installed
  • OR Vulnerable Movie Maker 2.1 on Microsoft Windows XP x64
  • Microsoft Windows XP x64 is installed
  • AND Windows Movie Maker 2.1 is installed
  • AND file version
  • Wmoviemk.exe version is less than 2.1.4031.0
  • OR Moviemk.exe version is less than 2.1.4031.0
  • OR Vulnerable Movie Maker 6.0 on Microsoft Windows Vista x86/x64
  • Windows Movie Maker 6.0 is installed
  • AND Vista x86/x64
  • Microsoft Windows Vista (32-bit) is installed
  • OR Microsoft Windows Vista x64 Edition is installed
  • AND GDR or LDR Service branch
  • Moviemk.dll version is less than 6.0.6001.18494
  • OR LDR
  • Moviemk.dll version is less than 6.0.6001.22714
  • AND Moviemk.dll version is greater than or equal to 6.0.6001.22000
  • OR Vulnerable Movie Maker 6.0 on Microsoft Windows Vista x86/x64, Server 2008 32bit/x64/ia64
  • Windows Movie Maker 6.0 is installed
  • AND Vista x86/x64
  • Microsoft Windows Vista (32-bit) is installed
  • OR Microsoft Windows Vista x64 Edition is installed
  • AND GDR or LDR Service branch
  • Moviemk.dll version is less than 6.0.6002.18273
  • OR LDR
  • Moviemk.dll version is less than 6.0.6002.22426
  • AND Moviemk.dll version is greater than or equal to 6.0.6002.22000
  • OR Vulnerable Movie Maker 2.6 on Microsoft Windows Vista x86/x64
  • Vista x86/x64
  • Microsoft Windows Vista (32-bit) is installed
  • OR Microsoft Windows Vista x64 Edition is installed
  • AND Windows Movie Maker 2.6 is installed
  • AND Moviemk.exe version is less than 2.6.4039.0
  • BACK